Bug 11194 - Падает при обращении к ф-ции IMG_ReadXPMFromArray()
: Падает при обращении к ф-ции IMG_ReadXPMFromArray()
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libSDL_image-devel)
: unstable
: all Linux
: P2 critical
Assigned To:
:
: http://lists.altlinux.org/pipermail/s...
:
:
:
  Show dependency tree
 
Reported: 2007-03-22 17:47 by
Modified: 2007-05-15 14:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-22 17:47:54
Программа lcdtest падает при запуске (на 32 и 64 битах):

coder@alt0 ~ $ lcdtest
zsh: segmentation fault  lcdtest

Новая версия, есть, но вряд ли поможет, так как "Release 1.02 has no code
changes, but incorporates the manual page, Makefile improvements, and Debian
build information".
------- Comment #1 From 2007-03-23 13:12:59 -------
Собрал новую версию и попытался найти ошибку самостоятельно, не получилось, так
как не знаком с SDL. Отписал автору, но почему-то не очень надеюсь на его
(скорый) ответ.
------- Comment #2 From 2007-03-23 14:33:49 -------
Выяснено, что проблема не в программе lcdtest, а в библиотеке libSDL_image. По
этому поводу у них есть бага:

http://bugzilla.libsdl.org/show_bug.cgi?id=284

Между версиями 1.2.4 и 1.2.5 была сломана ф-ция IMG_ReadXPMFromArray(), которую
и использует lsdtest.

Бага исправлена в SVN, соответственно рекомендуется приложить патч оттуда:
http://www.libsdl.org/cgi/viewvc.cgi/trunk/SDL_image/IMG_xpm.c?r1=2390&r2=2970&view=patch

2thresh@: это тебе. Сделаешь? :)
------- Comment #3 From 2007-03-23 14:36:48 -------
Поправка: правильный патч тут:
http://bugzilla.libsdl.org/attachment.cgi?id=150&action=view, а то что я привёл,
это лишь часть патча, для файла IMG_xpm.c. Пардон.
------- Comment #4 From 2007-03-26 17:12:24 -------
fixed in 1.2.5-alt2